<?php
// Regel aan logbestand toevoegen
function logFout($fout) {
    $logbestand = 'log.txt';
    $datum = date("d-m-Y H:i");
    $regelToeTeVoegen = "$datum | $fout";
    file_put_contents($logbestand, $regelToeTeVoegen . PHP_EOL, FILE_APPEND);
}
// Optie Inladen (algemeen)
function kiesOptie($optienaam) {
    global $connect;
    $query = "SELECT waarde FROM opties WHERE naam=?";
    $stmt = $connect->prepare($query);
    if ($stmt) {
        $stmt->bind_param("s", $optienaam);
        $stmt->execute();
        $stmt->bind_result($optie);
        $stmt->fetch();
        $stmt->close();
        return $optie;
    } else {
        logFout('kiesOptie -> prepared statement mislukt');
        return null;
    }
}
function getBase64PDF($filePath) {
    if (file_exists($filePath)) {
        $pdfData = file_get_contents($filePath);
        return base64_encode($pdfData);
    } else {
        return false;
    }
}
// Offerte Akkoord en Factuur maken (concept)
function offerteAkkoord($factuurid) {
    global $connect;
    $query = "SELECT * FROM facturen WHERE id=?";
    $stmt = $connect->prepare($query);
    if ($stmt) {
        $stmt->bind_param("i", $factuurid);
        $stmt->execute();
        $result = $stmt->get_result();
        $stmt->close();
    } else {
        logFout('offerteDefinitief -> Geen factuur input');
    }
    if ($result) {
        $factuur = mysqli_fetch_assoc($result);
        $regels = json_decode($factuur['regels'], true);
        $totaalbedrag = $factuur['totaalbedrag'];
        $referentie = 'Offerte: '.$factuur['factuurnummer'];
        $jsonRegels = json_encode($regels);
        $query = "INSERT INTO facturen (klantid, status, regels, factuurdatum, factuurnummer, totaalbedrag, klantgegevens, bedrijfgegevens, catid, betaaldatum, ref, pdf, betaallink, verlegd, kenmerk, payid, herinnering, aanmaning) 
        VALUES (?, '10', ?, '', '', ?, '', '', '', '', ?, '', '', ?, '', '', '0', '0')";
        $stmt = $connect->prepare($query);
        if ($stmt) {
            $stmt->bind_param("issss", $factuur['klantid'], $jsonRegels, $totaalbedrag, $referentie, $factuur['verlegd']);
            if ($stmt->execute()) {
                $datumverwerkt = date('Y-m-d');
                $factuurID = $stmt->insert_id;
                $query = "UPDATE facturen SET status='23', betaaldatum='".$datumverwerkt."' WHERE id=".$factuur['id']."";
                $result = $connect->query($query);
                return $factuurID;
            } 
            $stmt->close();
        } else {
            logFout('offerteAkkoord -> prepared statement credit aanmaken mislukt');
        }
    } else {
        logFout('offerteAkkoord -> geen resultaat');
    }
}
// Offerte Afgewezen
function offerteAfgewezen($factuurid) {
    global $connect;
    $query = "UPDATE facturen SET status='24' WHERE id=?";
    $stmt = $connect->prepare($query);
    if ($stmt) {
        $stmt->bind_param("i", $factuurid);
        $stmt->execute(); 
        $stmt->close();
    } 
}
?>