<?php
// Regel aan logbestand toevoegen
function logFout($fout) {
    $logbestand = 'log.txt';
    $datum = date("d-m-Y H:i");
    $regelToeTeVoegen = "$datum | $fout";
    file_put_contents($logbestand, $regelToeTeVoegen . PHP_EOL, FILE_APPEND);
}
// Optie Inladen (algemeen)
function kiesOptie($optienaam) {
    global $connect;
    $query = "SELECT waarde FROM opties WHERE naam=?";
    $stmt = $connect->prepare($query);
    if ($stmt) {
        $stmt->bind_param("s", $optienaam);
        $stmt->execute();
        $stmt->bind_result($optie);
        $stmt->fetch();
        $stmt->close();
        return $optie;
    } else {
        logFout('kiesOptie -> prepared statement mislukt');
        return null;
    }
}
function getBase64PDF($filePath) {
    if (file_exists($filePath)) {
        $pdfData = file_get_contents($filePath);
        return base64_encode($pdfData);
    } else {
        return false;
    }
}
// Betaallink genereren
function maakBetaallink($bedrag, $omschrijving, $kenmerk) {
    if (kiesOptie('ideal_ingeschakeld') == '1') {
        if (kiesOptie('ideal_testmodus') == '1') {
            $api_key = kiesOptie('ideal_test_key');
        } else if (kiesOptie('ideal_testmodus') == '0') {
            $api_key = kiesOptie('ideal_live_key');
        }
        $baseUrl = kiesOptie('site-url');
        $url = 'https://api.mollie.com/v2/payments';
        $data = [
            'amount' => [
                'currency' => 'EUR',
                'value' => $bedrag,
            ],
            'description' => $omschrijving,
            'redirectUrl' => $baseUrl.'/betalen/betaling.php?id='.$kenmerk,
            'webhookUrl' => $baseUrl.'/includes/pay.php',
        ];
        $curl = curl_init($url);
        curl_setopt($curl, CURLOPT_POST, true);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_HTTPHEADER, [
            'Authorization: Bearer ' . $api_key,
            'Content-Type: application/json',
        ]);
        curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($data));
        $response = curl_exec($curl);
        if ($response === false) {
            echo 'Curl error: ' . curl_error($curl);
        } else {
            $payment = json_decode($response, true);
            if(isset($payment['_links']['checkout']['href'])) {
                $payurl = $payment['_links']['checkout']['href'];
            } else {
                $payurl = 'niet beschikbaar';
            }
        }
        curl_close($curl);
        return $payurl;
    } else {
        $payurl = 'niet beschikbaar';
        return $payurl;
    }
}
?>