<?php
/**
 * @package faqturo-wp
 * @version 1.0
 */
/*
Plugin Name: Faqturo
Plugin URI: https://www.faqturo.nl/
Description: Koppel Faqturo met je Wordpress
Author: adema: it
Version: 1.0
Author URI: https://www.faqturo.nl/
*/



// Basiscode Plugin, admin menu, register settings etc. //
class FAQTURO {
	public function __construct() {
    $this->plugin               = new stdClass;
    $this->plugin->name         = 'faqturo-wp'; 
    $this->plugin->displayName  = 'Faqturo';
    $this->plugin->version      = '1.0';
    $this->plugin->folder       = plugin_dir_path( __FILE__ );
    $this->plugin->url          = plugin_dir_url( __FILE__ );
    $this->plugin->db_welcome_dismissed_key = $this->plugin->name . '_welcome_dismissed_key';

	add_action( 'admin_init', array( &$this, 'registerSettings' ) );
	add_action( 'admin_menu', array( &$this, 'adminPanelsAndMetaBoxes' ) );
    add_action( 'admin_notices', array( &$this, 'dashboardNotices' ) );
    add_action( 'wp_ajax_' . $this->plugin->name . '_dismiss_dashboard_notices', array( &$this, 'dismissDashboardNotices' ) );
	}
    function dashboardNotices() {
        global $pagenow;

        if ( !get_option( $this->plugin->db_welcome_dismissed_key ) ) {
        	if ( ! ( $pagenow == 'admin.php' && isset( $_GET['page'] ) && $_GET['page'] == 'faqturo-wp' ) ) {
	            $setting_page = admin_url( 'admin.php?page=' . $this->plugin->name . '&tab=default');
                include_once( $this->plugin->folder . '/includes/notificaties.php' );
        	}
        }
    }
    function dismissDashboardNotices() {
    	check_ajax_referer( $this->plugin->name . '-nonce', 'nonce' );
        update_option( $this->plugin->db_welcome_dismissed_key, 1 );
        exit;
    }
	function registerSettings() {		
		register_setting( $this->plugin->name, 'url_cronjob', array('default' => '',));
		register_setting( $this->plugin->name, 'key', array('default' => '',));
		// form field
		register_setting( $this->plugin->name, 'veld_placeholder', array('default' => 'postcode zonder huisnr.',));
		register_setting( $this->plugin->name, 'veld_border', array('default' => '1px',));
		register_setting( $this->plugin->name, 'veld_border_style', array('default' => 'solid',));
		register_setting( $this->plugin->name, 'veld_border_color', array('default' => '#DD9933',));
		register_setting( $this->plugin->name, 'veld_border_radius', array('default' => '15px',));
		register_setting( $this->plugin->name, 'veld_margin', array('default' => '10px',));
		register_setting( $this->plugin->name, 'veld_padding', array('default' => '10px',));
		// form knop
		register_setting( $this->plugin->name, 'button_color', array('default' => '#FFFFFF',));
		register_setting( $this->plugin->name, 'button_background_color', array('default' => '#DD9933',));
		register_setting( $this->plugin->name, 'button_border', array('default' => 'none',));
		register_setting( $this->plugin->name, 'button_border_style', array('default' => '',));
		register_setting( $this->plugin->name, 'button_border_color', array('default' => '',));
		register_setting( $this->plugin->name, 'button_border_radius', array('default' => '15px',));
		register_setting( $this->plugin->name, 'button_margin', array('default' => '10px',));
		register_setting( $this->plugin->name, 'button_padding', array('default' => '10px',));
	}
	function adminPanelsAndMetaBoxes() {
	$icon_url = plugins_url( 'res/icon.png', __FILE__ );
		add_menu_page( 
			$this->plugin->displayName, 
			$this->plugin->displayName, 
			'manage_options', 
			$this->plugin->name, 
			array( &$this, 'adminPanel' ), 
			$icon_url,
			'2' 
		);	
	}
    function adminPanel() {
		if ( !current_user_can( 'administrator' ) ) {
			echo '<p>' . __( 'Sorry, je hebt geen toegang om deze pagina te bekijken.', 'faqturo-wp' ) . '</p>';
			return;
		}
		$this->settings = array(			
			'url_cronjob' => esc_html( wp_unslash( get_option( 'url_cronjob' ) ) ),
			'key' => esc_html( wp_unslash( get_option( 'key' ) ) ),

			'veld_placeholder' => esc_html( wp_unslash( get_option( 'veld_placeholder' ) ) ),
			'veld_border' => esc_html( wp_unslash( get_option( 'veld_border' ) ) ),
			'veld_border_style' => esc_html( wp_unslash( get_option( 'veld_border_style' ) ) ),
			'veld_border_color' => esc_html( wp_unslash( get_option( 'veld_border_color' ) ) ),
			'veld_border_radius' => esc_html( wp_unslash( get_option( 'veld_border_radius' ) ) ),
			'veld_margin' => esc_html( wp_unslash( get_option( 'veld_margin' ) ) ),
			'veld_padding' => esc_html( wp_unslash( get_option( 'veld_padding' ) ) ),

			'button_color' => esc_html( wp_unslash( get_option( 'button_color' ) ) ),
			'button_background_color' => esc_html( wp_unslash( get_option( 'button_background_color' ) ) ),
			'button_border' => esc_html( wp_unslash( get_option( 'button_border' ) ) ),
			'button_border_style' => esc_html( wp_unslash( get_option( 'button_border_style' ) ) ),
			'button_border_color' => esc_html( wp_unslash( get_option( 'button_border_color' ) ) ),
			'button_border_radius' => esc_html( wp_unslash( get_option( 'button_border_radius' ) ) ),
			'button_margin' => esc_html( wp_unslash( get_option( 'button_margin' ) ) ),
			'button_padding' => esc_html( wp_unslash( get_option( 'button_padding' ) ) ),
        );
    include_once( $this->plugin->folder . '/includes/settings.php' );
	}
	function output( $setting ) {
		if ( is_admin() || is_feed() || is_robots() || is_trackback() ) {
			return;
		}
		if ( apply_filters( 'disable_bms_int', false ) ) {
			return;
		}
		$meta = get_option( $setting );
		if ( empty( $meta ) ) {
			return;
		}
		if ( trim( $meta ) == '' ) {
			return;
		}
		echo wp_unslash( $meta );
	}
}

function bms_wp($atts = [], $tag = ''){
	$ait_wp_atts = shortcode_atts([
	'url' => get_option('url_cronjob'),
	'limit' => '10',
	], $atts, $tag);
	$key = get_option('key');
	$getdata = file_get_contents(esc_html__($ait_wp_atts['url'].'/external/checkfree.php?key='.$key));
	$explode_data = implode('|',array_unique(explode('|', $getdata)));
	$explode = explode('|', $explode_data);
	$i = 1;
	$o = '';
    $o .= '<div>';
	foreach($explode as $row){
	$o .= "$row<br>";
		if(++$i > esc_html__($ait_wp_atts['limit'])) break;
	}
	$o .= '</div>';
    return $o;
}
function bms_wp_init(){
	ob_start();
    add_shortcode('faqturo_beschikbaarheid', 'bms_wp');
	return ob_get_clean();
}
add_action('init', 'bms_wp_init');

function bms_wp_checkdrive($atts2 = [], $tag2 = ''){
	$url = get_option('url_cronjob');
	$key = get_option('key');
	if (isset ($_POST['check'])) {
		$postcode = $_POST['postcode'];
		$getkm = file_get_contents($url.'/external/checkdrive.php?action=check&pc='.$postcode.'&key='.$key);
		if ($getkm) {
			echo 'Postcode: <strong>'.$postcode.'</strong><br>
			Bedrag incl. btw: <strong>'.$getkm.'</strong>';
		} else {
			echo 'Onjuiste postcode, probeer het nogmaals.';
		}
	} else {
		echo '<form action="#voorkost" method="post">
		<div align="center">
			<input type="text" name="postcode" maxlength="6" style="margin: '.get_option('veld_margin').'; padding: '.get_option('veld_padding').'; border: '.get_option('veld_border').'; border-style:'.get_option('veld_border_style').'; border-color: '.get_option('veld_border_color').'; border-radius: '.get_option('veld_border_radius').'; background-color: #ffffff; font-size:24px; font-weight:bold; text-align:center; width:90%;" placeholder="'.get_option('veld_placeholder').'"><br>
			<input type="submit" style="border: '.get_option('button_border').'; border-style: '.get_option('button_border_style').'; border-color: '.get_option('button_border_color').'; border-radius: '.get_option('button_border_radius').'; background-color: '.get_option('button_background_color').'; color:'.get_option('button_color').'; font-size:24px; font-weight:bold; padding:'.get_option('button_padding').'; margin: '.get_option('button_margin').';" name="check" value="Bereken">
		</div></form>';
	}
}

function bms_wp_checkdrive_init(){
	ob_start();
    add_shortcode('faqturo_voorrijkosten', 'bms_wp_checkdrive');
	return ob_get_clean();
}
add_action('init', 'bms_wp_checkdrive_init');	

$faqturo = new FAQTURO();
?>