<?php
if ( isset( $_REQUEST['submit'] ) ) {
	if ( !isset( $_REQUEST[$this->plugin->name.'_nonce'] ) ) {
		$this->errorMessage = __( 'Nonce veld is niet aanwezig. Instellingen NIET opgeslagen.', 'faqturo-wp' );
    } 
	elseif ( !wp_verify_nonce( $_REQUEST[$this->plugin->name.'_nonce'], $this->plugin->name ) ) {
		$this->errorMessage = __( 'Ongeldige nonce gedefinieerd. Instellingen NIET opgeslagen.', 'faqturo-wp' );
    } 
	else {			
		update_option( 'url_cronjob', $_REQUEST['url_cronjob'] );
		update_option( 'key', $_REQUEST['key'] );

		update_option( 'veld_placeholder', $_REQUEST['veld_placeholder'] );
		update_option( 'veld_border', $_REQUEST['veld_border'] );
		update_option( 'veld_border_style', $_REQUEST['veld_border_style'] );
		update_option( 'veld_border_color', $_REQUEST['veld_border_color'] );
		update_option( 'veld_border_radius', $_REQUEST['veld_border_radius'] );
		update_option( 'veld_margin', $_REQUEST['veld_margin'] );
		update_option( 'veld_padding', $_REQUEST['veld_padding'] );

		update_option( 'button_color', $_REQUEST['button_color'] );
		update_option( 'button_background_color', $_REQUEST['button_background_color'] );
		update_option( 'button_border', $_REQUEST['button_border'] );
		update_option( 'button_border_style', $_REQUEST['button_border_style'] );
		update_option( 'button_border_color', $_REQUEST['button_border_color'] );
		update_option( 'button_border_radius', $_REQUEST['button_border_radius'] );
		update_option( 'button_margin', $_REQUEST['button_margin'] );
		update_option( 'button_padding', $_REQUEST['button_padding'] );
		$this->message = __( 'Instellingen opgeslagen.', 'faqturo-wp' );
	}
}
$this->settings = array(
	'url_cronjob' => esc_html( wp_unslash( get_option( 'url_cronjob' ) ) ),
	'key' => esc_html( wp_unslash( get_option( 'key' ) ) ),

	'veld_placeholder' => esc_html( wp_unslash( get_option( 'veld_placeholder' ) ) ),
	'veld_border' => esc_html( wp_unslash( get_option( 'veld_border' ) ) ),
	'veld_border_style' => esc_html( wp_unslash( get_option( 'veld_border_style' ) ) ),
	'veld_border_color' => esc_html( wp_unslash( get_option( 'veld_border_color' ) ) ),
	'veld_border_radius' => esc_html( wp_unslash( get_option( 'veld_border_radius' ) ) ),
	'veld_margin' => esc_html( wp_unslash( get_option( 'veld_margin' ) ) ),
	'veld_padding' => esc_html( wp_unslash( get_option( 'veld_padding' ) ) ),

	'button_color' => esc_html( wp_unslash( get_option( 'button_color' ) ) ),
	'button_background_color' => esc_html( wp_unslash( get_option( 'button_background_color' ) ) ),
	'button_border' => esc_html( wp_unslash( get_option( 'button_border' ) ) ),
	'button_border_style' => esc_html( wp_unslash( get_option( 'button_border_style' ) ) ),
	'button_border_color' => esc_html( wp_unslash( get_option( 'button_border_color' ) ) ),
	'button_border_radius' => esc_html( wp_unslash( get_option( 'button_border_radius' ) ) ),
	'button_margin' => esc_html( wp_unslash( get_option( 'button_margin' ) ) ),
	'button_padding' => esc_html( wp_unslash( get_option( 'button_padding' ) ) ),
);
?>
<?php
if ( isset( $this->message ) ) {
?>
<div class="updated fade"><p><?php echo $this->message; ?></p></div>
<?php
}
if ( isset( $this->errorMessage ) ) {
?>
<div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
<?php
}
?>
<div class="tab-content">
<br><br>
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Instellingen Koppeling</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
				<p>
		        	<label for="url_cronjob"><strong><?php esc_html_e( 'URL naar Faqturo.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="url_cronjob" id="url_cronjob" class="widefat" value="<?php echo $this->settings['url_cronjob']; ?>">
				</p>
			</td>
		</tr>
		<tr>
			<td>
				<p>
		        	<label for="key"><strong><?php esc_html_e( 'Key/Sleutel.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="key" id="key" class="widefat" value="<?php echo $this->settings['key']; ?>">
				</p>
			</td>
		</tr>

	</tbody>
</table>
<br><br>
<table class="widefat">
	<thead>
		<tr>
			<th><strong>Instellingen Voorrijkosten Berekenen</strong></th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>
			<b>Opmaak Veld</b>
				<p>
		        	<label for="veld_placeholder"><strong><?php esc_html_e( 'Plaatshouder.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="veld_placeholder" id="veld_placeholder" class="widefat" value="<?php echo $this->settings['veld_placeholder']; ?>">
				</p>
				<p>
		        	<label for="veld_border"><strong><?php esc_html_e( 'Rand.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="veld_border" id="veld_border" class="widefat" value="<?php echo $this->settings['veld_border']; ?>">
				</p>
				<p>
		        	<label for="veld_border_style"><strong><?php esc_html_e( 'Randstijl.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="veld_border_style" id="veld_border_style" class="widefat" value="<?php echo $this->settings['veld_border_style']; ?>">
				</p>
				<p>
		        	<label for="veld_border_color"><strong><?php esc_html_e( 'Randkleur.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="veld_border_color" id="veld_border_color" class="widefat" value="<?php echo $this->settings['veld_border_color']; ?>">
				</p>
				
				<p>
		        	<label for="veld_border_radius"><strong><?php esc_html_e( 'Afgeronde Hoeken.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="veld_border_radius" id="veld_border_radius" class="widefat" value="<?php echo $this->settings['veld_border_radius']; ?>">
				</p>
				<p>
		        	<label for="veld_margin"><strong><?php esc_html_e( 'Margin.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="veld_margin" id="veld_margin" class="widefat" value="<?php echo $this->settings['veld_margin']; ?>">
				</p>
				<p>
		        	<label for="veld_padding"><strong><?php esc_html_e( 'Padding.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="veld_padding" id="veld_padding" class="widefat" value="<?php echo $this->settings['veld_padding']; ?>">
				</p>
			<br><br><b>Opmaak Knop</b>
				<p>
		        	<label for="button_color"><strong><?php esc_html_e( 'Tekstkleur.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="button_color" id="button_color" class="widefat" value="<?php echo $this->settings['button_color']; ?>">
				</p>
				<p>
		        	<label for="button_background_color"><strong><?php esc_html_e( 'Achtergrondkleur.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="button_background_color" id="button_background_color" class="widefat" value="<?php echo $this->settings['button_background_color']; ?>">
				</p>
				<p>
		        	<label for="button_border"><strong><?php esc_html_e( 'Rand.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="button_border" id="button_border" class="widefat" value="<?php echo $this->settings['button_border']; ?>">
				</p>
				<p>
		        	<label for="button_border_style"><strong><?php esc_html_e( 'Randstijl.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="button_border_style" id="button_border_style" class="widefat" value="<?php echo $this->settings['button_border_style']; ?>">
				</p>
				<p>
		        	<label for="button_border_color"><strong><?php esc_html_e( 'Randkleur.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="button_border_color" id="button_border_color" class="widefat" value="<?php echo $this->settings['button_border_color']; ?>">
				</p>
				<p>
		        	<label for="button_border_radius"><strong><?php esc_html_e( 'Afgeronde Hoeken.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="button_border_radius" id="button_border_radius" class="widefat" value="<?php echo $this->settings['button_border_radius']; ?>">
				</p>
				<p>
		        	<label for="button_margin"><strong><?php esc_html_e( 'Margin.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="button_margin" id="button_margin" class="widefat" value="<?php echo $this->settings['button_margin']; ?>">
				</p>
				<p>
		        	<label for="button_padding"><strong><?php esc_html_e( 'Padding.', 'faqturo-wp' ); ?></strong></label>
		            <input type="text" name="button_padding" id="button_padding" class="widefat" value="<?php echo $this->settings['button_padding']; ?>">
				</p>
			</td>
			<td align="right">
				<p>
				<form action="#test" method="post">
					<input type="text" name="postcode" maxlength="6" style="margin: <?php echo $this->settings['veld_margin']; ?>; padding: <?php echo $this->settings['veld_padding']; ?>; border: <?php echo $this->settings['veld_border']; ?>; border-style:<?php echo $this->settings['veld_border_style']; ?>; border-color: <?php echo $this->settings['veld_border_color']; ?>; border-radius: <?php echo $this->settings['veld_border_radius']; ?>; background-color: #ffffff; font-size:24px; font-weight:bold; text-align:center; width:90%;" placeholder="<?php echo $this->settings['veld_placeholder']; ?>"><br>
					<input type="submit" style="border: <?php echo $this->settings['button_border']; ?>; border-style: <?php echo $this->settings['button_border_style']; ?>; border-color: <?php echo $this->settings['button_border_color']; ?>; border-radius: <?php echo $this->settings['button_border_radius']; ?>; background-color: <?php echo $this->settings['button_background_color']; ?>; color:<?php echo $this->settings['button_color']; ?>; font-size:24px; font-weight:bold; padding:<?php echo $this->settings['button_padding']; ?>; margin: <?php echo $this->settings['button_margin']; ?>;" name="check" value="Bereken">
				</form>
				</p>
			</td>
		</tr>
	</tbody>
</table>
</div>
<br><br>
<?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>   
<input type="submit" name="submit" class="button button-primary" value="<?php esc_attr_e( 'Opslaan', 'faqturo-wp' ); ?>" />