<?php
session_start();
$session_id = $_SESSION['user_id'];
include ('config.php');
$connect = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
if ($connect->connect_error) {
    die("Connection failed: " . $connect->connect_error);
}
$sql = "SELECT * FROM gebruikers WHERE id = ?";
$stmt = $connect->prepare($sql);
$stmt->bind_param("i", $session_id);
$stmt->execute();
$result = $stmt->get_result();
if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    $facturatie= $row['optie_facturatie'];
    $crediteuren= $row['optie_crediteuren'];
}
$zoekTerm = $_GET['term'];
if (!empty($zoekTerm)) {
    // Klanten
    $queryKlanten = "SELECT * FROM klanten 
                    WHERE naam LIKE ? OR achternaam LIKE ? OR bedrijfsnaam LIKE ? 
                    OR straat LIKE ? OR postcode LIKE ? OR woonplaats LIKE ? 
                    OR email LIKE ? OR klantnummer LIKE ?";
    $stmtKlanten = $connect->prepare($queryKlanten);
    $param = "%{$zoekTerm}%";
    $stmtKlanten->bind_param("ssssssss", $param, $param, $param, $param, $param, $param, $param, $param);
    $stmtKlanten->execute();
    $resultKlanten = $stmtKlanten->get_result();
    $gefilterdeResultatenKlanten = array();
    while ($row = $resultKlanten->fetch_assoc()) {
        $gefilterdeResultatenKlanten[] = $row;
    }



    if ($crediteuren == '1'){
        // Crediteuren
        $queryCrediteuren = "SELECT * FROM crediteuren 
                        WHERE bedrijfsnaam LIKE ? OR afdeling LIKE ? OR adres LIKE ? 
                        OR postcode LIKE ? OR plaats LIKE ? OR email LIKE ?";
        $stmtCrediteuren = $connect->prepare($queryCrediteuren);
        $param = "%{$zoekTerm}%";
        $stmtCrediteuren->bind_param("ssssss", $param, $param, $param, $param, $param, $param);
        $stmtCrediteuren->execute();
        $resultCrediteuren = $stmtCrediteuren->get_result();
        $gefilterdeResultatenCrediteuren = array();
        while ($row = $resultCrediteuren->fetch_assoc()) {
            $gefilterdeResultatenCrediteuren[] = $row;
        }
        // Inkoopfacturen
        $queryInkoopFacturen = "SELECT * FROM inkoopfacturen
        WHERE factuurnummer LIKE ?";
        $stmtInkoopFacturen = $connect->prepare($queryInkoopFacturen);
        $param = "%{$zoekTerm}%";
        $stmtInkoopFacturen->bind_param("s", $param);
        $stmtInkoopFacturen->execute();
        $resultInkoopFacturen = $stmtInkoopFacturen->get_result();
        $gefilterdeResultatenInkoopFacturen = array();
        while ($row = $resultInkoopFacturen->fetch_assoc()) {
            $gefilterdeResultatenInkoopFacturen[] = $row;
        }
    } else {
        $gefilterdeResultatenCrediteuren = array();
        $gefilterdeResultatenInkoopFacturen = array();
    }



    if ($facturatie == '1'){
    // Facturen
        $queryFacturen = "SELECT *, REPLACE(klantgegevens, '<br>', ' ') AS klantgegevens_without_br FROM facturen
        WHERE klantgegevens LIKE ? OR factuurnummer LIKE ?";
        $stmtFacturen = $connect->prepare($queryFacturen);
        $param = "%{$zoekTerm}%";
        $stmtFacturen->bind_param("ss", $param, $param);
        $stmtFacturen->execute();
        $resultFacturen = $stmtFacturen->get_result();
        $gefilterdeResultatenFacturen = array();
        while ($row = $resultFacturen->fetch_assoc()) {
            $row['klantgegevens'] = $row['klantgegevens_without_br'];
        unset($row['klantgegevens_without_br']);
        $gefilterdeResultatenFacturen[] = $row;
        }
    } else {
        $gefilterdeResultatenFacturen = array();
    }
    // Combine and output the results
    $combinedResults = array(
        "klanten" => $gefilterdeResultatenKlanten,
        "crediteuren" => $gefilterdeResultatenCrediteuren,
        "facturen" => $gefilterdeResultatenFacturen,
        "inkoopfacturen" => $gefilterdeResultatenInkoopFacturen
    );
    echo json_encode($combinedResults);
    $stmt->close();
    $stmtKlanten->close();
    if ($facturatie == '1'){
        $stmtFacturen->close();
    }
    if ($crediteuren == '1'){
        $stmtInkoopFacturen->close();
        $stmtCrediteuren->close();
    }
    $connect->close();
}
?>