<?php
session_start();
if(!isset($_SESSION) || $_SESSION['lastActive'] <time()-60*1440){
	unset($_SESSION);
	session_destroy();
	header("Location: index.php");
	exit;
}
include '../includes/config.php';
if (isset( $_POST['backupdb'] ) ) {
	try {
		$mysqli = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
		if ($mysqli->connect_errno) {
			throw new Exception("Failed to connect to MySQL: " . $mysqli->connect_error);
		}
		header('Pragma: public');
		header('Expires: 0');
		header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
		header('Content-Type: application/force-download');
		header('Content-Type: application/octet-stream');
		header('Content-Type: application/download');
		header('Content-Disposition: attachment;filename="faqturo_backup_'.date('Y-m-d_h_i_s') . '.sql"');
		header('Content-Transfer-Encoding: binary');

		ob_start();
		$f_output = fopen("php://output", 'w');

		print("-- Faqturo DB Back-Up\n");
		print("-- Server version:".$mysqli->server_info."\n");
		print("-- Generated: ".date('Y-m-d h:i:s')."\n");
		print('-- Current PHP version: '.phpversion()."\n");
		print('-- Host: '.$mysql_host."\n");
		print('-- Database:'.$mysql_database."\n");
		$aTables = array();
		$strSQL = 'SHOW TABLES';
		if (!$res_tables = $mysqli->query($strSQL))
			throw new Exception("MySQL Error: " . $mysqli->error . 'SQL: '.$strSQL);

		while($row = $res_tables->fetch_array()) {
			$aTables[] = $row[0];
		}
		$res_tables->free();
		foreach($aTables as $table)
		{
			print("-- --------------------------------------------------------\n");
			print("-- Structure for '". $table."'\n");
			print("--\n\n");
			print('DROP TABLE IF EXISTS '.$table.';');
			$strSQL = 'SHOW CREATE TABLE '.$table;
			if (!$res_create = $mysqli->query($strSQL))
				throw new Exception("MySQL Error: " . $mysqli->error . 'SQL: '.$strSQL);
			$row_create = $res_create->fetch_assoc();
			print("\n".$row_create['Create Table'].";\n");
			print("-- --------------------------------------------------------\n");
			print('-- Dump Data for `'. $table."`\n");
			print("--\n\n");
			$res_create->free();
			$strSQL = 'SELECT * FROM '.$table;
			if (!$res_select = $mysqli->query($strSQL))
				throw new Exception("MySQL Error: " . $mysqli->error . 'SQL: '.$strSQL);
			$fields_info = $res_select->fetch_fields();
			while ($values = $res_select->fetch_assoc()) {

				$strFields = '';
				$strValues = '';
				foreach ($fields_info as $field) {
					if ($strFields != '') $strFields .= ',';
					$strFields .= "`".$field->name."`";
					if ($strValues != '') $strValues .= ',';
					$strValues .= '"'.preg_replace('/[^(\x20-\x7F)\x0A]*/','',$values[$field->name].'"');
				}
				print("INSERT INTO ".$table." (".$strFields.") VALUES (".$strValues.");\n");
			}
			print("\n\n\n");
			$res_select->free();
		}
	} catch (Exception $e) {
		print($e->getMessage());
	}
	fclose($f_output);
	print(ob_get_clean());
	$mysqli->close();
} 
?>