<?php
session_start();
if(!isset($_SESSION) || $_SESSION['lastActive'] <time()-60*1440){
	unset($_SESSION);
	session_destroy();
	header("Location: index.php");
	exit;
}
if ( isset( $_POST['excelexport'] ) ){
	include '../includes/config.php';
	$connect = new mysqli($mysql_host, $mysql_username, $mysql_password, $mysql_database);
	if ($connect->connect_error) {
		die("Database Error: " . $connect->connect_error);
	}
	// Initialize totalpriv before the loop
	$totalpriv = 0;
	$startdate = $_POST['startdatum'];
	$enddate = $_POST['einddatum'];
	$merk = $_POST['merk'];
	$type = $_POST['type'];
	$kent = $_POST['kent'];
	$periodstart = $_POST['periodstart'];
	$periodend = $_POST['periodend'];
	$userid = $_SESSION['user_id'];
	header('Content-Type: application/vnd.ms-excel');
	header("Content-Disposition: attachment; filename=faqturo_ritten_$startdate-$enddate.xls");
	header("Pragma: no-cache");
	header("Expires: 0");
	$currentyear = date("Y");
	// Use prepared statement to prevent SQL injection
	$privcheck = "SELECT * FROM ritten WHERE userid=? AND kenteken=? AND datum BETWEEN ? AND ? ORDER BY id ASC";
	$stmtPrivCheck = $connect->prepare($privcheck);
	$stmtPrivCheck->bind_param("ssss", $userid, $kent, $startdate, $enddate);
	$stmtPrivCheck->execute();
	$resPrivCheck = $stmtPrivCheck->get_result();
	if ($resPrivCheck->num_rows > 0) {
		while ($rowPrivCheck = $resPrivCheck->fetch_assoc()) {
			if (!empty($rowPrivCheck['privekm'])){
				$km1priv = $rowPrivCheck['privekm'];
			} else {
				$km1priv = '0';
			}
			$totalpriv += $km1priv;
		}
	}
	$totaalprive = $totalpriv;
	// Use prepared statement to prevent SQL injection
	$sql = "SELECT * FROM ritten WHERE userid=? AND kenteken=? AND datum BETWEEN ? AND ? ORDER BY id ASC";
	$stmt = $connect->prepare($sql);
	$stmt->bind_param("ssss", $userid, $kent, $startdate, $enddate);
	$stmt->execute();
	$result = $stmt->get_result();
	if ($result->num_rows > 0) {
		echo '
		<table border="1" cellspacing="0" cellpadding="0">
		<tr>
		<td><strong>Merk/Type Auto:</strong></td>
		<td><strong>Kenteken:</strong></td>
		<td><strong>Beschikkingsperiode:</strong></td>
		<td></td>
		<td><strong>Periode (overzicht):</strong></td>
		<td> </td>
		<td><strong>Prive k/m (overzicht):</strong></td>
		<td> </td>
		</tr>
		<tr>
		<td>'.$merk.' - '.$type.'</td>
		<td>'.$kent.'</td>
		<td>'.$periodstart.' - '.$periodend.'</td>
		<td> </td>
		<td>'.$startdate.' - '.$enddate.'</td>
		<td> </td>
		<td>'.$totaalprive.' </td>
		<td> </td>
		</tr>
		<tr>
		<td> </td>
		<td> </td>
		<td> </td>
		<td> </td>
		<td> </td>
		<td> </td>
		<td> </td>
		<td> </td>
		</tr>
		<tr>
		<td><strong>Datum Rit</strong></td>
		<td><strong>Postcode Vertrek</strong></td>
		<td><strong>K/M stand Vertrek</strong></td>
		<td><strong>Postcode Aankomst</strong></td>
		<td><strong>K/M stand Aankomst</strong></td>
		<td><strong>Prive Rit?</strong></td>
		<td><strong>Prive K/M</strong></td>
		<td><strong>Notities Rit</strong></td>
		</tr>
		';
		while($row = $result->fetch_assoc()) {
			$olddateString = $row['datum'];
			$olddateTimestamp = strtotime($olddateString);
			$datum = date('d-m-Y', $olddateTimestamp);
			echo "
			<tr>
			<td>".$datum."</td>
			<td>".$row["startpostcode"]."</td>
			<td>".$row["startstand"]."</td>
			<td>".$row["eindpostcode"]."</td>
			<td>".$row["eindstand"]."</td>
			<td>"; 
			if ($row["privekm"] > '0'){ echo 'Deels'; } else { echo 'Nee'; }
			echo "</td>
			<td>".$row["privekm"]."</td>
			<td>".$row["route"]."</td>
			</tr>
			";
		}
		echo '
		</table>
		';
	} else {
		echo "No data found.";
	}
	// Close statements and connection
	$stmtPrivCheck->close();
	$stmt->close();
	$connect->close();
} else {
	melding('error','Fout','Je kan alleen vanaf de exportpagina werken.');
}
?>